Debian Bug report logs - #717263
debian-edu-config: No longer default Iceweasel start page from LDAP

version graph

Package: debian-edu-config; Maintainer for debian-edu-config is Debian Edu Developers <debian-edu@lists.debian.org>; Source for debian-edu-config is src:debian-edu-config.

Reported by: Petter Reinholdtsen <pere@hungry.com>

Date: Thu, 18 Jul 2013 14:39:01 UTC

Severity: normal

Found in version debian-edu-config/1.700

Fixed in version debian-edu-config/1.710

Done: Petter Reinholdtsen <pere@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Edu Developers <debian-edu@lists.debian.org>:
Bug#717263; Package debian-edu-config. (Thu, 18 Jul 2013 14:39:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Petter Reinholdtsen <pere@hungry.com>:
New Bug report received and forwarded. Copy sent to Debian Edu Developers <debian-edu@lists.debian.org>. (Thu, 18 Jul 2013 14:39:06 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Petter Reinholdtsen <pere@hungry.com>
To: submit@bugs.debian.org
Subject: debian-edu-config: No longer default Iceweasel start page from LDAP
Date: Thu, 18 Jul 2013 16:34:35 +0200
Package: debian-edu-config
Version: 1.700

In Squeeze, Debian Edu had a feature where it would set up the default
Iceweasel home page based on a URL fetched from LDAP.  This allowed
schools to set up their school home page as the default browser startup
page by only updating the labeledURI value in the
dc=skole,dc=skolelinux,dc=no LDAP object once in LDAP.  The code to do
this is in /usr/share/debian-edu-config/tools/update-iceweasel-homepage.
It will fetch the URL, store it in
/etc/iceweasel/browserconfig.properties and divert the file
/usr/share/iceweasel/broweserconfig.properties to have the generated
configuration.  This feature is no longer working in Wheezy.

We should figure out how to set this up to work again in Wheezy.

I've found a recipe on
<URL: http://mike.kaply.com/2012/08/29/setting-the-default-firefox-homepage-with-autoconfig/ >,
but when I try to follow it, nothing changes.

Anyone got a clue how to change the default home page for already
created users?  I suspect it involve creating a firefox extention (ie a
xpi file), but have no idea what its content should be.

Anyone know how Ubuntu or Fedora do this?

-- 
Happy hacking
Petter Reinholdtsen



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Edu Developers <debian-edu@lists.debian.org>:
Bug#717263; Package debian-edu-config. (Fri, 19 Jul 2013 07:03:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Petter Reinholdtsen <pere@hungry.com>:
Extra info received and forwarded to list. Copy sent to Debian Edu Developers <debian-edu@lists.debian.org>. (Fri, 19 Jul 2013 07:03:10 GMT) Full text and rfc822 format available.

Message #10 received at 717263@bugs.debian.org (full text, mbox):

From: Petter Reinholdtsen <pere@hungry.com>
To: 717263@bugs.debian.org
Subject: Re: Bug#717263: debian-edu-config: No longer default Iceweasel start page from LDAP
Date: Fri, 19 Jul 2013 08:58:29 +0200
I've investigated some more, and discovered Mozilla CCK[1] (Client
Customization Kit) via a Fedora bug from IBM[2] requesting the support
for locally changing the home page to be restored.  The CCK is
available as a Mozilla addon[3] and also available from a Google Code
project[4] (seem to be more up-to-date).

 1) <URL: https://wiki.mozilla.org/CCK >
 2) <URL: https://bugzilla.redhat.com/show_bug.cgi?id=461880 >
 3) <URL: https://addons.mozilla.org/en-us/firefox/addon/cck/ >
 4) <URL: http://code.google.com/p/ff-cckwizard/ >

The only problem is that it fail to work with Iceweasel in Wheezy.  I
create a cck.xpi file, move it to /usr/lib/iceweasel/extentions/, but
when I start iceweasel the start page is the same as ever.

Perhaps iceweasel have the same bug Firefox in Fedora had, blocking
the setting of the default start page using extentions?

-- 
Happy hacking
Petter Reinholdtsen



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Edu Developers <debian-edu@lists.debian.org>:
Bug#717263; Package debian-edu-config. (Fri, 19 Jul 2013 07:42:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Petter Reinholdtsen <pere@hungry.com>:
Extra info received and forwarded to list. Copy sent to Debian Edu Developers <debian-edu@lists.debian.org>. (Fri, 19 Jul 2013 07:42:04 GMT) Full text and rfc822 format available.

Message #15 received at 717263@bugs.debian.org (full text, mbox):

From: Petter Reinholdtsen <pere@hungry.com>
To: 717263@bugs.debian.org
Subject: Re: Bug#717263: debian-edu-config: No longer default Iceweasel start page from LDAP
Date: Fri, 19 Jul 2013 09:38:49 +0200
I asked for help on #debian-devel, and got some clues.  Alexander Wirt
suggested to check out
<URL:http://managingosx.wordpress.com/2010/01/11/firefox-default-settings-revisited/>
and <URL:https://support.mozilla.org/de/questions/842920>, and
Mike Hommey suggested to add 

  pref("browser.startup.homepage","data:text/plain,browser.startup.homepage=http://my-home-page");

in /etc/iceweasel/pref/something.js.

I tested the setup mentioned in the first URL, but didn't get it to
work.  But the approach from Mike actually work.  It is very
surprising, as I am quite sure I have tested it earlier.  Must have
made a mistake the first time I tested the data: approach.

Anyway, this should give us the information we need to solve this bug.
We just need to make sure we remove the old and now obsolete diversion
when we do.

-- 
Happy hacking
Petter Reinholdtsen



Added tag(s) pending. Request was from Holger Levsen <holger@layer-acht.org> to control@bugs.debian.org. (Sat, 20 Jul 2013 13:45:04 GMT) Full text and rfc822 format available.

Reply sent to Petter Reinholdtsen <pere@debian.org>:
You have taken responsibility. (Mon, 22 Jul 2013 09:06:18 GMT) Full text and rfc822 format available.

Notification sent to Petter Reinholdtsen <pere@hungry.com>:
Bug acknowledged by developer. (Mon, 22 Jul 2013 09:06:18 GMT) Full text and rfc822 format available.

Message #22 received at 717263-close@bugs.debian.org (full text, mbox):

From: Petter Reinholdtsen <pere@debian.org>
To: 717263-close@bugs.debian.org
Subject: Bug#717263: fixed in debian-edu-config 1.710
Date: Mon, 22 Jul 2013 09:03:27 +0000
Source: debian-edu-config
Source-Version: 1.710

We believe that the bug you reported is fixed in the latest version of
debian-edu-config, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 717263@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Petter Reinholdtsen <pere@debian.org> (supplier of updated debian-edu-config package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sat, 20 Jul 2013 21:20:00 +0200
Source: debian-edu-config
Binary: debian-edu-config debian-edu-config-gosa-netgroups
Architecture: source all
Version: 1.710
Distribution: unstable
Urgency: low
Maintainer: Debian Edu Developers <debian-edu@lists.debian.org>
Changed-By: Petter Reinholdtsen <pere@debian.org>
Description: 
 debian-edu-config - Configuration files for Skolelinux systems
 debian-edu-config-gosa-netgroups - netgroups plugin for GOsa²
Closes: 662843 662868 717263
Changes: 
 debian-edu-config (1.710) unstable; urgency=low
 .
   [ Petter Reinholdtsen ]
   * Update comment in update-iceweasel-homepage to reflect the new
     realities.
   * Fix typo in sitesummary2ldapdhcp, add missing $ in front of
     variable making it impossible to run the script.
 .
   * Uploaded to the Debian Edu archive as debian-edu-config 1.710~svn81733:
 .
   [ Petter Reinholdtsen ]
   * Fix typo in postinst causing installation failure.
 .
   * Uploaded to the Debian Edu archive as debian-edu-config 1.710~svn81731:
 .
   [ Petter Reinholdtsen ]
   * Add new script init-ltsp.d/08-edu-hostname to adjust LTSP boot to
     set hostname based on reverse DNS or MAC address like we do for
     the other machines.
   * Fix argument parsing in get-default-homepage.
   * Rewrite update-iceweasel-homepage to work with Iceweasel in
     Wheezy, and add code in the postinst to remove the now obsolete
     divert of /usr/share/iceweasel/browserconfig.properties.
     (Closes: #717263)
 .
   * Uploaded to the Debian Edu archive as debian-edu-config 1.710~svn81721:
 .
   [ Petter Reinholdtsen ]
   * Rewrite /etc/shutdown-at-night/clients-generator to list hostname
     and MAC address the way wakeupclients now expect it (Closes:
     #662868).
   * Fix code avoiding several nbdswap-cleanup processes to run at
     once, making sure the script to not consider itself as a
     conflicting cleanup process (Closes: #662843).
   * Remove code in
     /etc/NetworkManager/dispatcher.d/02debian-edu-config to update
     hostname from DHCP, as it is redundant thanks to the code in
     /etc/dhcp/dhclient-exit-hooks.d/hostname called by the
     dispatcher.d script, and it was activated on roaming workstations
     where it should not update the hostname.
   * Adjust our system for setting default hostname to set a unique
     generated hostname during installation, fetched either from
     reverse DNS lookups or using the MAC address of the interface used
     by the default route.  Adjust all code setting the hostname to use
     the update-hostname-from-ip script for generating the name.
 .
   [ Holger Levsen ]
   * debian/rules: stop calling (obsolete) dh_pysupport, we don't have any
     python modules anyway.
   * debian-edu-config.postrm+prerm: call debian-edu-ltsp-audiodivert without
     path, it's located in /usr/sbin.
Checksums-Sha1: 
 08b806508de93b9ffca90aa25f06b5cbbc8211c9 1375 debian-edu-config_1.710.dsc
 db55cad4a23d5f38387c02a393f4a12db07c0c5b 523332 debian-edu-config_1.710.tar.gz
 7d477e0764f836874f2ba5edd63a3f9b512252f2 414188 debian-edu-config_1.710_all.deb
 757dc5f698ad9404d1dd86ca7791fa2c1c18d866 120900 debian-edu-config-gosa-netgroups_1.710_all.deb
Checksums-Sha256: 
 bc33a6be7d4dde1ecd4e644c50b171ba3feb5f361d2288c23fb960cfc8ff2d1e 1375 debian-edu-config_1.710.dsc
 39dd36342ff9ef809275391d59d622500571795a4f42a8eb7a17ef0b02661031 523332 debian-edu-config_1.710.tar.gz
 1725558aea766782c6d52a0d51f574742baeda2e423400ee27eccca01f4dc383 414188 debian-edu-config_1.710_all.deb
 fd27ebacd69968764c553dbce4c5f98eebc2f45871dbbcf092fe96640d5c6da0 120900 debian-edu-config-gosa-netgroups_1.710_all.deb
Files: 
 bdcbd90b5e6cadbea5ad497682c57d23 1375 misc extra debian-edu-config_1.710.dsc
 ea8e9245a04cf7b60fd0a48772306548 523332 misc extra debian-edu-config_1.710.tar.gz
 5a2a691c27f23e0ee781b9d32428d27e 414188 misc extra debian-edu-config_1.710_all.deb
 b66e9be1210bec69535b78ce78463cde 120900 misc extra debian-edu-config-gosa-netgroups_1.710_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iD8DBQFR7PG+20zMSyow1ykRApU5AJ9Mjaw++TmZ17FaCP0Krn2L1cWAfQCg7mIR
dxEjbjCr74zoE09j7Rqhb/g=
=IMGp
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 30 Aug 2013 07:36:34 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 00:22:49 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.